baseURL = "http://overzeuknup.top/"
defaultContentLanguage = "fr"
languageCode = "fr"

title = "Over zeu Knup"

theme = ["gokarna"]

# Automatically generate robots.txt
enableRobotsTXT = true

[menu]
  [[menu.main]]
    identifier = "home"
    name = "Home"
    url = "/"
    weight = 1

  [[menu.main]]
    identifier = "about"
    name = "Présentation"
    url = "/about/"
    weight = 2

  [[menu.main]]
    identifier = "dates"
    name = "Dates"
    url = "/dates/"
    weight = 3

  [[menu.main]]
    identifier = "gallery"
    name = "Galerie"
    url = "/gallery/"
    weight = 4

  [[menu.main]]
    identifier = "repository"
    name = "Morceaux"
    url = "/repository/"
    weight = 5

  [[menu.main]]
    identifier = "mail"
    url = "mailto:pot.punkuezrevo@overzeuknup.top"
    weight = 6
    pre = "<span data-feather='mail'></span>"


[params]
  # URL for the avatar on homepage
  smallAvatarURL = "/images/OZK Small.png"
  avatarURL = "/images/OZK Logo Fond Blanc.png"
  imageLinkURL = "/images/OZK Link.png"

  # Choose one of size-xs, size-s, size-m, size-l & size-xl. (Default: size-m)
  avatarSize = "custom"

  # Description to display on homepage
  description = "Classic & Rock'n'Roll Quatuor sauce Punk'Jazz - Lyon"

  # Accent color is displayed when you hover over <a> tags
  accentColor = "#FF4D4D"

  # You can use this to inject any HTML in the <head> tag.
  # Ideal usecase for this is to import custom js/css or add your analytics snippet
  customHeadHTML = '''
    <a rel="me" href="https://mastodon.social/@ozk">Mastodon</a>
    <link rel="stylesheet" type="text/css" href="/css/ozk.css">
  '''

  # License
  licenseName = "BeerWare (rev.42) 🍺"
  licenseDescription = " N'hésitez pas à nous payer une bière si vous le voulez quand vous nous croisez !"
  
  showPostsOnHomePage = "future"

  # Keywords relevant for SEO
  metaKeywords = ["Over zeu knup", "Over the knup", "Over ze knup","over", "knup", "knop", "kneup", "musique", "fanfare", "brass", "lyon"]

  # Footer text
  footer = "OzK"

  socialIcons = [
    {name = "mastodon", url = "https://mastodon.social/@ozk"},
    {name = "mail", url = "mailto:pot.punkuezrevo@overzeuknup.top"},
  ]
